Package Details: jotta-cli 0.15.98319-1

Git Clone URL: https://aur.archlinux.org/jotta-cli.git (read-only, click to copy)
Package Base: jotta-cli
Description: Jottacloud backup and sync. Whether you are an individual, family or business, Jottacloud lets you store, share and be productive wherever you are.
Upstream URL: https://www.jottacloud.com/
Keywords: acd aws backup cloud gdrive hubic norway secure share
Licenses: custom: Copyright Jotta AS
Submitter: jnylen
Maintainer: jottacloud
Last Packager: jottacloud
Votes: 14
Popularity: 0.000004
First Submitted: 2018-01-17 15:12 (UTC)
Last Updated: 2023-12-14 15:01 (UTC)

Pinned Comments

jottacloud commented on 2022-02-21 10:30 (UTC) (edited on 2022-02-21 11:10 (UTC) by jottacloud)

Hi everyone!

Today we have released the first official build of jotta-cli. With this release we release a breaking change that in that we now run the jottad daemon in the user slice. Upon upgrade you should get a message on how to migrate but if you don't /usr/bin/migrate_jottad_settings has been provided. Please report any issues with the new version.

Documentation here: https://docs.jottacloud.com/en/articles/5996448-jottacloud-cli-for-linux-aur-package

Best regards Jottacloud

Latest Comments

1 2 3 Next › Last »

jottacloud commented on 2022-02-21 12:14 (UTC)

Hi @greit. Please report any issues with the sync feature directly to support@jottacloud.com and they should be able to help out with this. Please include the jotta-cli logfile

greit commented on 2022-02-21 12:07 (UTC) (edited on 2022-02-21 12:31 (UTC) by greit)

Hi again!

Upgraded to latest version today, enabled and started jottad and tried to sync:

jotta-cli sync setup --root ~/Jotta

But after setting the error reporting mode I get ERROR error reading from server: EOF

Full printout:

~ jotta-cli sync setup  --root ~/Jotta

WARNING:

  This is an in-development, beta version of sync.
  Some unexpected behaviour or bugs may occur.
  If any bugs are encountered, please reach out to us at support@jottacloud.com.

  If you have any suggestions on how to improve sync, open an issue at https://github.com/jotta/jotta-cli-issues.
  Thank you for helping us make jotta-cli better!


Continue sync setup? [yes]: yes

If sync encounters an error it can report it to Jotta automatically.

Chose the error reporting mode for sync:

  full          send most local metadata ( default )
  stackonly     send only the stacktrace and the error
  off           dont send any report

( See jotta-cli sync configure reporting -h for more information )

Choose error reporting mode[full]:
ERROR  error reading from server: EOF

EDIT: It was my bad, I forgot to login after reinstalling jotta-cli, works now.

jottacloud commented on 2022-02-21 10:33 (UTC)

@greit The issue you are having is probably because even though the Jotta folder has enough permissions, the containing folder(s) do not.

However instead of trying to fix the permissions we recommend you try to upgrade to the latest version just release as this will run a daemon in your user slice and permissions should no longer be a issue as long as your own user has access to the files.

jottacloud commented on 2022-02-21 10:30 (UTC) (edited on 2022-02-21 11:10 (UTC) by jottacloud)

Hi everyone!

Today we have released the first official build of jotta-cli. With this release we release a breaking change that in that we now run the jottad daemon in the user slice. Upon upgrade you should get a message on how to migrate but if you don't /usr/bin/migrate_jottad_settings has been provided. Please report any issues with the new version.

Documentation here: https://docs.jottacloud.com/en/articles/5996448-jottacloud-cli-for-linux-aur-package

Best regards Jottacloud

greit commented on 2022-02-17 10:58 (UTC) (edited on 2022-02-17 10:58 (UTC) by greit)

Hi!

Thanks for maintaining this. I have a problem that jotta-cli doesn't have access to the folder I'm trying to sync to, or download to for that matter. I gave full access to the folder just for testing, but still I get error ERROR stat /home/path/to/Jotta: permission denied

Any idea?

Commands ran

sudo jotta-cli download Sync/Music ~/Jotta

sudo jotta-cli sync setup --root ~/Jotta

karcher commented on 2022-01-07 15:48 (UTC)

@GinoE: OK. Thanks! It seems to be working with sudo.

GinoE commented on 2022-01-07 12:29 (UTC)

@karcher

A few versions ago Jottacloud changed the install of the deb and rpm versions so that the jottad daemon is running in user.slice instead of system.slice.

The version maintained here is based on the general repo instead of the deb/rpm ones. In that repo the change was not made. However, it seems that they also changed jotta-cli so that it defaults to the user.slice installation and expects to find the daemon there.

prefixing all jotta-cli commands with sudo should avoid any errors.

I will contact jottacloud to look for a more elegant solution. If not available, I will have to spend some time changing the install of this AUR version to user.slice.

karcher commented on 2022-01-06 10:31 (UTC) (edited on 2022-01-06 10:31 (UTC) by karcher)

Hi all,

I'm getting following error when I try to use the tool:

$ jotta-cli login                                       $ 
Error: Could not connect to jottad. Is it running on unix:///run/user/1000/jottad/jottad.socket ?

The daemon is running:

$ sudo lsof -i -P -n | grep jottad                                                                
jottad    29235 jottad    5u  IPv4 104094      0t0  TCP 127.0.0.1:14443 (LISTEN)
jottad    29235 jottad    9u  IPv4  99980      0t0  TCP 192.168.0.104:39626->185.179.130.26:443 (ESTABLISHED)

Any ideas how to fix it?

GinoE commented on 2021-10-08 07:00 (UTC)

Hi all, Seems I was able to take over maintenance of this package. But since I am totally new at maintaining AUR packages, I will need some time to figure out how to tackle this. So please bear with me. Or if someone can bring me up to speed quickly, just shoot me an email. Thanks.

GinoE commented on 2021-10-08 06:48 (UTC)

@SanJacobs Oops sorry I had assumed you already knew all that :-) Indeed I download the whole thing and change the pkgbuild, and then I can install the latest version.